Skip to Content
拉格朗日 Lagrange
Openapi

分页查询排查报告

GET
/reports

Authorization

ApiKeyAuth
headerX-API-Key<token>

开放平台密钥,lgr_live_ 前缀,控制台创建,仅创建时完整展示一次。

Query Parameters

current?integer

页码,从 1 开始

Range1 <= value
Default1
size?integer

每页条数

Range1 <= value <= 100
Default10

Response Body

分页结果

application/json
  1. response

通用响应信封

code*string

'0000' 成功;0001 业务错误;9001 参数错误;8889 鉴权失败

msg*string

人类可读消息

data*

业务数据,失败时为 null

Example Request
curl -X GET 'https://api.isud.cn/api/v1/open/reports'
Example Response200
{  "code": "0000",  "msg": "string",  "data": {    "current": 1,    "size": 10,    "total": 0,    "records": [      {        "reportNo": "string",        "reportType": "string",        "title": "string",        "keyword": "string",        "riskLevel": "string",        "conclusion": "string",        "totalResults": 0,        "conflictCount": 0,        "highRiskCount": 0,        "createdAt": 0      }    ]  }}